{ lib, pkgs, config, myconfig, mylibs, ... }:
let
    cfg = config.services.myWebsites.Capitaines;
    env = myconfig.env.websites.capitaines;
    siteDir = ./mastodon_static;
in {
  options.services.myWebsites.Capitaines = {
    production = {
      enable = lib.mkEnableOption "enable Capitaines's website";
    };
  };

  config = lib.mkIf cfg.production.enable {
    security.acme.certs."capitaines_mastodon" = config.services.myCertificates.certConfig // {
      domain = "mastodon.capitaines.fr";
    };

    services.myWebsites.production.vhostConfs.capitaines = {
      certName    = "capitaines_mastodon";
      hosts       = [ "mastodon.capitaines.fr" ];
      root        = siteDir;
      extraConfig = [
        ''
        ErrorDocument 404 /index.html
        <Directory ${siteDir}>
          DirectoryIndex index.html
          Options Indexes FollowSymLinks MultiViews Includes
          Require all granted
        </Directory>
          ''
      ];
    };
  };
}
